# ApplicationFramework
TKCDF
CDM

# CDM_DataMapIteratorOfMetaDataLookUpTable Class Reference

`#include <CDM_DataMapIteratorOfMetaDataLookUpTable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_DataMapIteratorOfMetaDataLookUpTable ()
Standard_EXPORT | CDM_DataMapIteratorOfMetaDataLookUpTable (const CDM_MetaDataLookUpTable &aMap)
Standard_EXPORT void | Initialize (const CDM_MetaDataLookUpTable &aMap)
Standard_EXPORT const TCollection_ExtendedString & | Key () const
Standard_EXPORT const Handle_CDM_MetaData & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT CDM_DataMapIteratorOfMetaDataLookUpTable::CDM_DataMapIteratorOfMetaDataLookUpTable | ( |  | ) |

Standard_EXPORT CDM_DataMapIteratorOfMetaDataLookUpTable::CDM_DataMapIteratorOfMetaDataLookUpTable | ( | const CDM_MetaDataLookUpTable & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void CDM_DataMapIteratorOfMetaDataLookUpTable::Initialize | ( | const CDM_MetaDataLookUpTable & | aMap | ) |

Standard_EXPORT const TCollection_ExtendedString& CDM_DataMapIteratorOfMetaDataLookUpTable::Key | ( |  | ) | const

void CDM_DataMapIteratorOfMetaDataLookUpTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_DataMapIteratorOfMetaDataLookUpTable::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_DataMapIteratorOfMetaDataLookUpTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_CDM_MetaData& CDM_DataMapIteratorOfMetaDataLookUpTable::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- CDM_DataMapIteratorOfMetaDataLookUpTable.hxx